Bug 14740 - title attribute definition does not match reality
title attribute definition does not match reality
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
PC Windows NT
: P3 normal
: ---
Assigned To: contributor
HTML WG Bugzilla archive list
: a11y, WGDecision
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-09 16:40 UTC by steve faulkner
Modified: 2012-04-20 03:30 UTC (History)
10 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description steve faulkner 2011-11-09 16:40:17 UTC
the HTML5 spec current states:

"The title attribute represents advisory information for the element, such as would be appropriate for a tooltip. On a link, this could be the title or a description of the target resource; on an image, it could be the image credit or a description of the image; on a paragraph, it could be a footnote or commentary on the text; on a citation, it could be further information about the source; and so forth. The value is text."

The title attribute is mapped to the accessible name in all accessibility APIs in all browsers (that implement mapping), so in the absence of other labelling mechanisms, all HTML form controls are labelled by the title attribute content if present. This reality is not reflected in the usage advice quoted above.

There is a WCAG technique that documents how to use the title attribute to label controls:
H65: Using the title attribute to identify form controls when the label element cannot be used http://www.w3.org/TR/WCAG20-TECHS/H65 

Suggest updating the specification text to take into account the reality of how title is implemented in browsers.
Comment 1 Leif Halvard Silli 2011-11-10 02:46:05 UTC
Just wanted to note that @title is defined twice:

http://dev.w3.org/html5/spec/elements#the-title-attribute 
http://dev.w3.org/html5/spec/rendering#the-title-attribute-0

When you mention the WGA technique about form controls etc, then it feels
relevant to mention accesskeys: In those situation Opera, the @title is used as
text label for accesskeys.
Comment 2 Ian 'Hixie' Hickson 2011-12-09 23:43:54 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: no spec change
Rationale: If browsers map it in a manner inconsistent with its meaning, that should be fixed.
Comment 3 steve faulkner 2011-12-10 08:23:23 UTC
(In reply to comment #2)
> EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
> satisfied with this response, please change the state of this bug to CLOSED. If
> you have additional information and would like the editor to reconsider, please
> reopen this bug. If you would like to escalate the issue to the full HTML
> Working Group, please add the TrackerRequest keyword to this bug, and suggest
> title and text for the tracker issue; or you may create a tracker issue
> yourself, if you are able to do so. For more details, see this document:
>    http://dev.w3.org/html5/decision-policy/decision-policy.html
> 
> Status: Rejected
> Change Description: no spec change
> Rationale: If browsers map it in a manner inconsistent with its meaning, that
> should be fixed.

"Rationale: If browsers map it in a manner inconsistent with its meaning, that
should be fixed."

its definition is so vague its meaningless, it has been implemented consistently across browsers for many years in a manner that is not reflected in the spec.

added as Issue https://www.w3.org/html/wg/tracker/issues/192
Comment 4 Leif Halvard Silli 2011-12-13 16:59:45 UTC
(In reply to comment #2)

> Status: Rejected
> Change Description: no spec change
> Rationale: If browsers map it in a manner inconsistent with its meaning, that
> should be fixed.

As ARIA itself uses @title as the 'fallback' if @aria-label - or an equivalent aria attribute - is 'lacking', ARIA seems like a reason to *do* mention this usage in HTML5's definition of @tile - including  (eventually) the option of using an ARIA-attribute instead.